You are viewing a plain text version of this content. The canonical link for it is here.
Posted to issues@beam.apache.org by "ASF GitHub Bot (Jira)" <ji...@apache.org> on 2020/09/01 17:14:00 UTC

[jira] [Work logged] (BEAM-10775) Create precomimt job for typescript tests

     [ https://issues.apache.org/jira/browse/BEAM-10775?focusedWorklogId=477341&page=com.atlassian.jira.plugin.system.issuetabpanels:worklog-tabpanel#worklog-477341 ]

ASF GitHub Bot logged work on BEAM-10775:
-----------------------------------------

                Author: ASF GitHub Bot
            Created on: 01/Sep/20 17:13
            Start Date: 01/Sep/20 17:13
    Worklog Time Spent: 10m 
      Work Description: pabloem commented on a change in pull request #12740:
URL: https://github.com/apache/beam/pull/12740#discussion_r481304098



##########
File path: sdks/python/scripts/setup_nodejs.sh
##########
@@ -0,0 +1,33 @@
+#!/bin/bash
+#
+#    Licensed to the Apache Software Foundation (ASF) under one or more
+#    contributor license agreements.  See the NOTICE file distributed with
+#    this work for additional information regarding copyright ownership.
+#    The ASF licenses this file to You under the Apache License, Version 2.0
+#    (the "License"); you may not use this file except in compliance with
+#    the License.  You may obtain a copy of the License at
+#
+#       http://www.apache.org/licenses/LICENSE-2.0
+#
+#    Unless required by applicable law or agreed to in writing, software
+#    distributed under the License is distributed on an "AS IS" BASIS,
+#    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+#    See the License for the specific language governing permissions and
+#    limitations under the License.
+#
+#
+# The script installs nodejs and needs to be executed before run_eslint and
+# run_jest.
+
+set -e
+
+if ! command -v node; then
+  if command -v apt-get; then
+    # From https://github.com/nodesource/distributions.
+    curl -sL https://deb.nodesource.com/setup_lts.x | sudo -E bash -
+    sudo apt-get install -y nodejs

Review comment:
       I am not ssure if we can run sudo on the jenkins workers? We can try and see what happens.




----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

For queries about this service, please contact Infrastructure at:
users@infra.apache.org


Issue Time Tracking
-------------------

    Worklog Id:     (was: 477341)
    Time Spent: 9h 40m  (was: 9.5h)

> Create precomimt job for typescript tests
> -----------------------------------------
>
>                 Key: BEAM-10775
>                 URL: https://issues.apache.org/jira/browse/BEAM-10775
>             Project: Beam
>          Issue Type: Improvement
>          Components: runner-py-interactive
>            Reporter: Ning Kang
>            Assignee: Ning Kang
>            Priority: P2
>          Time Spent: 9h 40m
>  Remaining Estimate: 0h
>
> Create a precommit job that runs jest tests and eslint checks for typescript code in the Beam repo.
> Currently known typescript code is:
> the side panel extension - located under sdks/python/apache_beam/runners/interactive/extensions



--
This message was sent by Atlassian Jira
(v8.3.4#803005)